LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Ubuntu
User Name
Password
Ubuntu This forum is for the discussion of Ubuntu Linux.

Notices


Reply
  Search this Thread
Old 12-18-2020, 10:18 AM   #1
levalsac
LQ Newbie
 
Registered: Dec 2020
Posts: 3

Rep: Reputation: Disabled
Problem with broken package wine i386


Hi Guys,

I hope you can help me with this problem.
I got the following notification in the package manager on Ubuntu 20.04


Code:
Broken dependencies Package -> wine:i386 Installed Version -> 1:16.5-0ubuntu14 Description -> Microsoft Windows Compatibiliity Layer (meta-package)
And then I tried to update and upgrade my system but there is an error


Code:
You might want to run 'apt --fix-broken install' to correct these
The following packages have unmet dependencies:
wine:i386 : Depends: wine1.6:i386

I tried the suggested command but there are some errors at the output

Code:
Do you want to continue? [Y/n]
(Reading database ... 304384 files and directories currently installed.)
Preparing to unpack .../wine1.6-i386_1%3a1.6.2-0ubuntu14_i386.deb ...
Unpacking wine1.6-i386:i386 (1:1.6.2-0ubuntu14) ...
dpkg: error processing archive /var/cache/apt/archives/wine1.6-i386_1%3a1.6.2-0u
buntu14_i386.deb (--unpack):
trying to overwrite '/usr/lib/i386-linux-gnu/wine/jscript.dll.so', which is als
o in package libwine:i386 5.0-3ubuntu1
dpkg-deb: error: paste subprocess was killed by signal (Broken pipe)
YPreparing to unpack .../wine1.6_1%3a1.6.2-0ubuntu14_i386.deb ...
Unpacking wine1.6:i386 (1:1.6.2-0ubuntu14) ...
dpkg: error processing archive /var/cache/apt/archives/wine1.6_1%3a1.6.2-0ubuntu
14_i386.deb (--unpack):
trying to overwrite '/usr/share/wine/fonts/wingding.ttf', which is also in pack
age fonts-wine 5.0-3ubuntu1
dpkg-deb: error: paste subprocess was killed by signal (Broken pipe)
Preparing to unpack .../libp11-kit-gnome-keyring_3.18.3-0ubuntu2_i386.deb ...
Unpacking libp11-kit-gnome-keyring:i386 (3.18.3-0ubuntu2) ...
dpkg: error processing archive /var/cache/apt/archives/libp11-kit-gnome-keyring_
3.18.3-0ubuntu2_i386.deb (--unpack):
trying to overwrite '/usr/share/p11-kit/modules/gnome-keyring.module', which is
also in package gnome-keyring-pkcs11:amd64 3.36.0-1ubuntu1
Preparing to unpack .../libpng12-0_1.2.54-1ubuntu1_i386.deb ...
Unpacking libpng12-0:i386 (1.2.54-1ubuntu1) ...
dpkg: error processing archive /var/cache/apt/archives/libpng12-0_1.2.54-1ubuntu
1_i386.deb (--unpack):
unable to install new version of '/usr/lib/i386-linux-gnu/libpng12.so.0': No su
ch file or directory
No apport report written because MaxReports is reached already
Errors were encoun
tered while processing:
/var/cache/apt/archives/wine1.6-i386_1%3a1.6.2-0ubuntu14_i386.deb
/var/cache/apt/archives/wine1.6_1%3a1.6.2-0ubuntu14_i386.deb
/var/cache/apt/archives/libp11-kit-gnome-keyring_3.18.3-0ubuntu2_i386.deb
/var/cache/apt/archives/libpng12-0_1.2.54-1ubuntu1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
 
Old 12-18-2020, 12:21 PM   #2
business_kid
LQ Guru
 
Registered: Jan 2006
Location: Ireland
Distribution: Slackware, RPi OS, Mint & Android
Posts: 12,372

Rep: Reputation: 1510Reputation: 1510Reputation: 1510Reputation: 1510Reputation: 1510Reputation: 1510Reputation: 1510Reputation: 1510Reputation: 1510Reputation: 1510Reputation: 1510
Oh dear, I think you need the libs lecture.

64 bit binaries reference 64 bit libraries. Ditto for 32bit binaries, and 32 ≠ 64. 32bit systems use /lib & /usr/lib, and sadly, on most distros, 64bit systems use /lib, & /usr/lib as well.

Now wine translates windows system calls into Posix ones So on a 64bit system, with a 64bit wine running a 64bit windows program all is good. But most windows software is 32bit, not 64bit. 32bit windows software needs a 32bit wine and 32bit libs.

Slackware and Fedora, to my knowledge use /lib for 32bit, & /lib64 for 64bit. There may be others. Slackware also uses a special compile of wine source to get a 64 and 32 bit wine package, and offers multilib packages for providing the 32bit libraries.

The messages you have are the sort of thing you get when you try to install a 32bit wine with no 32bit libs really on a 64bit OS. See how the distro tells you to handle installing 32bit wine, or install a 32bit system as well. You could alternatively install a multilib system, like Slackware or some other.

Last edited by business_kid; 12-18-2020 at 12:23 PM.
 
Old 12-18-2020, 12:30 PM   #3
levalsac
LQ Newbie
 
Registered: Dec 2020
Posts: 3

Original Poster
Rep: Reputation: Disabled
Thanks for your help

Hello business_kid,

I am pretty new with Ubuntu and I don't know how to implement your advice. I want to fix the problem I have with the package manager because I can't upgrade my Ubuntu system (sudo apt-get upgrade). I don't want to install wine or any other package or software just solve this issue.

I have Ubuntu 20.04 in 64 bits
 
Old 12-18-2020, 02:01 PM   #4
ondoho
LQ Addict
 
Registered: Dec 2013
Posts: 16,858
Blog Entries: 10

Rep: Reputation: 5012Reputation: 5012Reputation: 5012Reputation: 5012Reputation: 5012Reputation: 5012Reputation: 5012Reputation: 5012Reputation: 5012Reputation: 5012Reputation: 5012
Quote:
Originally Posted by levalsac View Post
Code:
...
Preparing to unpack .../wine1.6-i386_1%3a1.6.2-0ubuntu14_i386.deb ...
Unpacking wine1.6-i386:i386 (1:1.6.2-0ubuntu14) ...
dpkg: error processing archive /var/cache/apt/archives/wine1.6-i386_1%3a1.6.2-0u
buntu14_i386.deb (--unpack):
trying to overwrite '/usr/lib/i386-linux-gnu/wine/jscript.dll.so', which is als
o in package libwine:i386 5.0-3ubuntu1
dpkg-deb: error: paste subprocess was killed by signal (Broken pipe)
YPreparing to unpack .../wine1.6_1%3a1.6.2-0ubuntu14_i386.deb ...
Unpacking wine1.6:i386 (1:1.6.2-0ubuntu14) ...
dpkg: error processing archive /var/cache/apt/archives/wine1.6_1%3a1.6.2-0ubuntu
14_i386.deb (--unpack):
trying to overwrite '/usr/share/wine/fonts/wingding.ttf', which is also in pack
age fonts-wine 5.0-3ubuntu1
dpkg-deb: error: paste subprocess was killed by signal (Broken pipe)
Preparing to unpack .../libp11-kit-gnome-keyring_3.18.3-0ubuntu2_i386.deb ...
Unpacking libp11-kit-gnome-keyring:i386 (3.18.3-0ubuntu2) ...
dpkg: error processing archive /var/cache/apt/archives/libp11-kit-gnome-keyring_
3.18.3-0ubuntu2_i386.deb (--unpack):
trying to overwrite '/usr/share/p11-kit/modules/gnome-keyring.module', which is
also in package gnome-keyring-pkcs11:amd64 3.36.0-1ubuntu1
Preparing to unpack .../libpng12-0_1.2.54-1ubuntu1_i386.deb ...
Unpacking libpng12-0:i386 (1.2.54-1ubuntu1) ...
dpkg: error processing archive /var/cache/apt/archives/libpng12-0_1.2.54-1ubuntu
1_i386.deb (--unpack):
unable to install new version of '/usr/lib/i386-linux-gnu/libpng12.so.0': No su
ch file or directory
No apport report written because MaxReports is reached already
Errors were encoun
tered while processing:
/var/cache/apt/archives/wine1.6-i386_1%3a1.6.2-0ubuntu14_i386.deb
/var/cache/apt/archives/wine1.6_1%3a1.6.2-0ubuntu14_i386.deb
/var/cache/apt/archives/libp11-kit-gnome-keyring_3.18.3-0ubuntu2_i386.deb
/var/cache/apt/archives/libpng12-0_1.2.54-1ubuntu1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
What a mess.
First of all, manually delete the .deb files mentioned at the end.
Then, run
Code:
sudo dpkg configure --all
sudo apt --fix-broken install
and show us the output again.
 
Old 12-18-2020, 02:29 PM   #5
shruggy
Senior Member
 
Registered: Mar 2020
Posts: 1,784

Rep: Reputation: Disabled
I' also like to see the output of
Code:
dpkg-query -Wf'${db:Status-Abbrev}${binary:Package}:${Architecture}\n'|sed '/:i386$/!d'
 
Old 12-18-2020, 03:39 PM   #6
levalsac
LQ Newbie
 
Registered: Dec 2020
Posts: 3

Original Poster
Rep: Reputation: Disabled
Hi guys,

I deleted all four files and this is the output for the first command

Code:
levalsac@FocalFossa:/var/cache/apt/archives$ sudo dpkg configure --all
dpkg: error: need an action option

Type dpkg --help for help about installing and deinstalling packages[*];
Use 'apt' or 'aptitude' for user-friendly package management;
Type dpkg -Dhelp for a list of dpkg debug flag values;
Type dpkg --force-help for a list of forcing options;
Type dpkg-deb --help for help about manipulating *.deb files;
The second output
Code:
levalsac@FocalFossa:/var/cache/apt/archives$ sudo apt --fix-broken install
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Correcting dependencies... Done
The following packages were automatically installed and are no longer required:
  wine-stable wine-stable-amd64 wine-stable-i386:i386
Use 'sudo apt autoremove' to remove them.
The following additional packages will be installed:
  libp11-kit-gnome-keyring:i386 libpng12-0:i386 wine1.6:i386 wine1.6-i386:i386
Suggested packages:
  dosbox:any winbind:i386
Recommended packages:
  gnome-exe-thumbnailer:i386 | kde-runtime:i386 fonts-droid:i386
  wine-gecko2.21:i386 wine-mono0.0.8:i386
The following NEW packages will be installed:
  libp11-kit-gnome-keyring:i386 libpng12-0:i386 wine1.6:i386 wine1.6-i386:i386
0 upgraded, 4 newly installed, 0 to remove and 3 not upgraded.
4 not fully installed or removed.
Need to get 16,8 MB of archives.
After this operation, 121 MB of additional disk space will be used.
Do you want to continue? [Y/n] Y
Get:1 http://us.archive.ubuntu.com/ubuntu xenial/universe i386 wine1.6-i386 i386 1:1.6.2-0ubuntu14 [15,8 MB]
Get:2 http://us.archive.ubuntu.com/ubuntu xenial/universe i386 wine1.6 i386 1:1.6.2-0ubuntu14 [838 kB]
Get:3 http://us.archive.ubuntu.com/ubuntu xenial/main i386 libp11-kit-gnome-keyring i386 3.18.3-0ubuntu2 [41,5 kB]
Get:4 http://us.archive.ubuntu.com/ubuntu xenial/main i386 libpng12-0 i386 1.2.54-1ubuntu1 [122 kB]
Fetched 16,8 MB in 4s (3.846 kB/s)       
(Reading database ... 306911 files and directories currently installed.)
Preparing to unpack .../wine1.6-i386_1%3a1.6.2-0ubuntu14_i386.deb ...
Unpacking wine1.6-i386:i386 (1:1.6.2-0ubuntu14) ...
dpkg: error processing archive /var/cache/apt/archives/wine1.6-i386_1%3a1.6.2-0u
buntu14_i386.deb (--unpack):
 trying to overwrite '/usr/lib/i386-linux-gnu/wine/jscript.dll.so', which is als
o in package libwine:i386 5.0-3ubuntu1
dpkg-deb: error: paste subprocess was killed by signal (Broken pipe)
Preparing to unpack .../wine1.6_1%3a1.6.2-0ubuntu14_i386.deb ...
Unpacking wine1.6:i386 (1:1.6.2-0ubuntu14) ...
dpkg: error processing archive /var/cache/apt/archives/wine1.6_1%3a1.6.2-0ubuntu
14_i386.deb (--unpack):
 trying to overwrite '/usr/share/wine/fonts/wingding.ttf', which is also in pack
age fonts-wine 5.0-3ubuntu1
dpkg-deb: error: paste subprocess was killed by signal (Broken pipe)
Preparing to unpack .../libp11-kit-gnome-keyring_3.18.3-0ubuntu2_i386.deb ...
Unpacking libp11-kit-gnome-keyring:i386 (3.18.3-0ubuntu2) ...
dpkg: error processing archive /var/cache/apt/archives/libp11-kit-gnome-keyring_
3.18.3-0ubuntu2_i386.deb (--unpack):
 trying to overwrite '/usr/share/p11-kit/modules/gnome-keyring.module', which is
 also in package gnome-keyring-pkcs11:amd64 3.36.0-1ubuntu1
Preparing to unpack .../libpng12-0_1.2.54-1ubuntu1_i386.deb ...
Unpacking libpng12-0:i386 (1.2.54-1ubuntu1) ...
dpkg: error processing archive /var/cache/apt/archives/libpng12-0_1.2.54-1ubuntu
1_i386.deb (--unpack):
 unable to install new version of '/usr/lib/i386-linux-gnu/libpng12.so.0': No su
ch file or directory
No apport report written because MaxReports is reached already
                                                              Errors were encoun
tered while processing:
 /var/cache/apt/archives/wine1.6-i386_1%3a1.6.2-0ubuntu14_i386.deb
 /var/cache/apt/archives/wine1.6_1%3a1.6.2-0ubuntu14_i386.deb
 /var/cache/apt/archives/libp11-kit-gnome-keyring_3.18.3-0ubuntu2_i386.deb
 /var/cache/apt/archives/libpng12-0_1.2.54-1ubuntu1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
And the third one
Code:
levalsac@FocalFossa:/var/cache/apt/archives$ dpkg-query -Wf'${db:Status-Abbrev}${binary:Package}:${Architecture}\n'|sed '/:i386$/!d'
ii gcc-10-base:i386:i386
ii glib-networking:i386:i386
ii gstreamer1.0-plugins-base:i386:i386
ii gstreamer1.0-plugins-good:i386:i386
ii gstreamer1.0-x:i386:i386
ii i965-va-driver:i386:i386
ii intel-media-va-driver:i386:i386
ii libaa1:i386:i386
ii libaom0:i386:i386
ii libapparmor1:i386:i386
ii libasn1-8-heimdal:i386:i386
ii libasound2:i386:i386
ii libasound2-plugins:i386:i386
ii libasyncns0:i386:i386
ii libatomic1:i386:i386
ii libavahi-client3:i386:i386
ii libavahi-common-data:i386:i386
ii libavahi-common3:i386:i386
ii libavc1394-0:i386:i386
ii libavcodec58:i386:i386
ii libavutil56:i386:i386
ii libblkid1:i386:i386
ii libbrotli1:i386:i386
ii libbsd0:i386:i386
ii libbz2-1.0:i386:i386
ii libc6:i386:i386
ii libcaca0:i386:i386
ii libcairo-gobject2:i386:i386
ii libcairo2:i386:i386
ii libcap2:i386:i386
ii libcapi20-3:i386:i386
ii libcdparanoia0:i386:i386
ii libcodec2-0.9:i386:i386
ii libcom-err2:i386:i386
ii libcrypt1:i386:i386
ii libcups2:i386:i386
ii libcurl3-gnutls:i386:i386
ii libdatrie1:i386:i386
ii libdb5.3:i386:i386
ii libdbus-1-3:i386:i386
ii libdrm-amdgpu1:i386:i386
ii libdrm-intel1:i386:i386
ii libdrm-nouveau2:i386:i386
ii libdrm-radeon1:i386:i386
ii libdrm2:i386:i386
ii libdv4:i386:i386
ii libedit2:i386:i386
ii libelf1:i386:i386
ii libexif12:i386:i386
ii libexpat1:i386:i386
ii libfaudio0:i386:i386
ii libffi7:i386:i386
ii libflac8:i386:i386
ii libfontconfig1:i386:i386
ii libfreetype6:i386:i386
ii libfribidi0:i386:i386
ii libgcc-s1:i386:i386
ii libgcrypt20:i386:i386
ii libgd3:i386:i386
ii libgdbm-compat4:i386:i386
ii libgdbm6:i386:i386
ii libgdk-pixbuf2.0-0:i386:i386
ii libgif7:i386:i386
ii libgl1:i386:i386
ii libgl1-mesa-dri:i386:i386
ii libgl1-mesa-glx:i386:i386
ii libglapi-mesa:i386:i386
ii libglib2.0-0:i386:i386
ii libglu1-mesa:i386:i386
ii libglvnd0:i386:i386
ii libglx-mesa0:i386:i386
ii libglx0:i386:i386
ii libgmp10:i386:i386
ii libgnutls30:i386:i386
ii libgomp1:i386:i386
ii libgpg-error0:i386:i386
ii libgphoto2-6:i386:i386
ii libgphoto2-port12:i386:i386
ii libgpm2:i386:i386
ii libgraphite2-3:i386:i386
ii libgsm1:i386:i386
ii libgssapi-krb5-2:i386:i386
ii libgssapi3-heimdal:i386:i386
ii libgstreamer-plugins-base1.0-0:i386:i386
ii libgstreamer-plugins-good1.0-0:i386:i386
ii libgstreamer1.0-0:i386:i386
rc libgtk-3-0:i386:i386
ii libgudev-1.0-0:i386:i386
ii libharfbuzz0b:i386:i386
ii libhcrypto4-heimdal:i386:i386
ii libheimbase1-heimdal:i386:i386
ii libheimntlm0-heimdal:i386:i386
ii libhogweed5:i386:i386
ii libhx509-5-heimdal:i386:i386
ii libice6:i386:i386
ii libicu66:i386:i386
ii libidn2-0:i386:i386
ii libiec61883-0:i386:i386
ii libieee1284-3:i386:i386
ii libigdgmm11:i386:i386
ii libjack-jackd2-0:i386:i386
ii libjbig0:i386:i386
ii libjpeg-turbo8:i386:i386
ii libjpeg62:i386:i386
ii libjpeg8:i386:i386
ii libk5crypto3:i386:i386
ii libkeyutils1:i386:i386
ii libkrb5-26-heimdal:i386:i386
ii libkrb5-3:i386:i386
ii libkrb5support0:i386:i386
ii liblcms2-2:i386:i386
ii libldap-2.4-2:i386:i386
ii libllvm10:i386:i386
ii libltdl7:i386:i386
ii liblz4-1:i386:i386
ii liblzma5:i386:i386
ii libmount1:i386:i386
ii libmp3lame0:i386:i386
ii libmpg123-0:i386:i386
ii libmysqlclient21:i386:i386
ii libncurses5:i386:i386
ii libncurses6:i386:i386
ii libncursesw6:i386:i386
ii libnettle7:i386:i386
ii libnghttp2-14:i386:i386
ii libnuma1:i386:i386
ii libnvidia-compute-450:i386:i386
ii libnvidia-decode-450:i386:i386
ii libnvidia-encode-450:i386:i386
ii libnvidia-fbc1-450:i386:i386
ii libnvidia-gl-450:i386:i386
ii libnvidia-ifr1-450:i386:i386
ii libodbc1:i386:i386
ii libogg0:i386:i386
ii libopenal1:i386:i386
ii libopenjp2-7:i386:i386
ii libopus0:i386:i386
ii liborc-0.4-0:i386:i386
ii libosmesa6:i386:i386
ii libp11-kit0:i386:i386
ii libpango-1.0-0:i386:i386
ii libpangocairo-1.0-0:i386:i386
ii libpangoft2-1.0-0:i386:i386
ii libpcap0.8:i386:i386
ii libpci3:i386:i386
ii libpciaccess0:i386:i386
ii libpcre2-8-0:i386:i386
ii libpcre3:i386:i386
ii libperl5.30:i386:i386
ii libpixman-1-0:i386:i386
ii libpng16-16:i386:i386
ii libproxy1v5:i386:i386
ii libpsl5:i386:i386
ii libpulse0:i386:i386
ii libraw1394-11:i386:i386
ii libroken18-heimdal:i386:i386
ii librsvg2-2:i386:i386
ii librsvg2-common:i386:i386
ii librtmp1:i386:i386
ii libsamplerate0:i386:i386
ii libsane:i386:i386
ii libsasl2-2:i386:i386
ii libsasl2-modules:i386:i386
ii libsasl2-modules-db:i386:i386
ii libsdl2-2.0-0:i386:i386
ii libselinux1:i386:i386
ii libsensors5:i386:i386
ii libshine3:i386:i386
ii libshout3:i386:i386
ii libslang2:i386:i386
ii libsm6:i386:i386
ii libsnappy1v5:i386:i386
ii libsndfile1:i386:i386
ii libsndio7.0:i386:i386
ii libsnmp35:i386:i386
ii libsoup2.4-1:i386:i386
ii libsoxr0:i386:i386
ii libspeex1:i386:i386
ii libsqlite3-0:i386:i386
ii libssh-4:i386:i386
ii libssl1.1:i386:i386
ii libstb0:i386:i386
ii libstdc++6:i386:i386
ii libswresample3:i386:i386
ii libsystemd0:i386:i386
ii libtag1v5:i386:i386
ii libtag1v5-vanilla:i386:i386
ii libtasn1-6:i386:i386
ii libthai0:i386:i386
ii libtheora0:i386:i386
ii libtiff5:i386:i386
ii libtinfo5:i386:i386
ii libtinfo6:i386:i386
ii libtwolame0:i386:i386
ii libudev1:i386:i386
ii libunistring2:i386:i386
ii libusb-1.0-0:i386:i386
ii libuuid1:i386:i386
ii libv4l-0:i386:i386
ii libv4lconvert0:i386:i386
ii libva-drm2:i386:i386
ii libva-x11-2:i386:i386
ii libva2:i386:i386
ii libvdpau1:i386:i386
ii libvisual-0.4-0:i386:i386
ii libvkd3d1:i386:i386
ii libvorbis0a:i386:i386
ii libvorbisenc2:i386:i386
ii libvpx6:i386:i386
ii libvulkan1:i386:i386
ii libwavpack1:i386:i386
ii libwayland-client0:i386:i386
ii libwayland-cursor0:i386:i386
ii libwayland-egl1:i386:i386
ii libwebp6:i386:i386
ii libwebpmux3:i386:i386
ii libwind0-heimdal:i386:i386
ii libwine:i386:i386
ii libwrap0:i386:i386
ii libx11-6:i386:i386
ii libx11-xcb1:i386:i386
ii libx264-155:i386:i386
ii libx265-179:i386:i386
ii libxau6:i386:i386
ii libxcb-dri2-0:i386:i386
ii libxcb-dri3-0:i386:i386
ii libxcb-glx0:i386:i386
ii libxcb-present0:i386:i386
ii libxcb-randr0:i386:i386
ii libxcb-render0:i386:i386
ii libxcb-shm0:i386:i386
ii libxcb-sync1:i386:i386
ii libxcb-xfixes0:i386:i386
ii libxcb1:i386:i386
ii libxcomposite1:i386:i386
ii libxcursor1:i386:i386
ii libxdamage1:i386:i386
ii libxdmcp6:i386:i386
ii libxext6:i386:i386
ii libxfixes3:i386:i386
ii libxi6:i386:i386
ii libxinerama1:i386:i386
ii libxkbcommon0:i386:i386
ii libxml2:i386:i386
ii libxpm4:i386:i386
ii libxrandr2:i386:i386
ii libxrender1:i386:i386
ii libxshmfence1:i386:i386
ii libxslt1.1:i386:i386
ii libxss1:i386:i386
ii libxt6:i386:i386
ii libxtst6:i386:i386
ii libxv1:i386:i386
ii libxvidcore4:i386:i386
ii libxxf86vm1:i386:i386
ii libzstd1:i386:i386
ii libzvbi0:i386:i386
ii mesa-va-drivers:i386:i386
ii mesa-vdpau-drivers:i386:i386
ii mesa-vulkan-drivers:i386:i386
ii ocl-icd-libopencl1:i386:i386
ii p11-kit-modules:i386:i386
ii steam:i386:i386
ii va-driver-all:i386:i386
ii vdpau-driver-all:i386:i386
iU wine:i386:i386
ii wine-stable-i386:i386:i386
rc wine-staging-i386:i386:i386
ii wine32:i386:i386
ii zlib1g:i386:i386
 
Old 12-19-2020, 04:01 AM   #7
shruggy
Senior Member
 
Registered: Mar 2020
Posts: 1,784

Rep: Reputation: Disabled
The first command should have been
Code:
sudo dpkg --configure -a
But before doing that, please do
Code:
sudo apt-get purge wine:i386 wine-staging-i386:i386
After those two commands, try
Code:
dpkg -C
and follow its suggestions.
 
Old 12-19-2020, 12:07 PM   #8
Toadman
Member
 
Registered: Aug 2002
Location: Copperas Cove, Texas
Distribution: Ubuntu 20.04 LTS
Posts: 304

Rep: Reputation: 21
I noticed in one of your replies that you're running 20.04 however you're downloading wine for 16.04, Xenial.

Code:
Get:1 http://us.archive.ubuntu.com/ubuntu xenial/universe i386 wine1.6-i386 i386 1:1.6.2-0ubuntu14 [15,8 MB]
Get:2 http://us.archive.ubuntu.com/ubuntu xenial/universe i386 wine1.6 i386 1:1.6.2-0ubuntu14 [838 kB]
Get:3 http://us.archive.ubuntu.com/ubuntu xenial/main i386 libp11-kit-gnome-keyring i386 3.18.3-0ubuntu2 [41,5 kB]
Get:4 http://us.archive.ubuntu.com/ubuntu xenial/main i386 libpng12-0 i386 1.2.54-1ubuntu1 [122 kB]
If you go to Software and Updates and uncheck everything related to wine and add, if it's not there already:

Code:
https://dl.winehq.org/wine-builds/ubuntu/ focal main
That should get you the correct version and make sure it's checked and anything relating to Xenial is unchecked.

Not sure if that's going to help but it will get you the correct version.
 
Old 12-20-2020, 05:55 AM   #9
business_kid
LQ Guru
 
Registered: Jan 2006
Location: Ireland
Distribution: Slackware, RPi OS, Mint & Android
Posts: 12,372

Rep: Reputation: 1510Reputation: 1510Reputation: 1510Reputation: 1510Reputation: 1510Reputation: 1510Reputation: 1510Reputation: 1510Reputation: 1510Reputation: 1510Reputation: 1510
Be careful also, because you may have x86_64, but apt is capable of grabbing i386 packages and then the headaches start. If your OS is 64bit, you can only run x86_64 apps (e.g. wine-x86_64 and windows 64bit apps)which are few and far between)

Last edited by business_kid; 12-20-2020 at 06:01 AM.
 
Old 12-20-2020, 07:43 AM   #10
shruggy
Senior Member
 
Registered: Mar 2020
Posts: 1,784

Rep: Reputation: Disabled
Well, strictly speaking you can mix 64 and 32-bit packages in a Debian-based system, but the multiarch concept is more evolved there than say in Slackware, SUSE or RedHed-based distros where it's just the matter of /usr/lib vs. /usr/lib64, so you shouldn't attempt this without first understanding how it works.

In case you're wondering why Debian implements it in such a complicated way, that's all because of so many architectures Debian ships with: see the case for multiarch.

Last edited by shruggy; 12-20-2020 at 07:46 AM.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] No package 'x11' found No package 'xext' found No package 'xdamage' found No package 'xfixes' found No package 'x11-xcb' found Jigsaw Linux From Scratch 14 02-23-2021 09:35 PM
XEN on Debian stretch i386: xen-hypervisor-i386 package not available? matiasar Linux - Virtualization and Cloud 0 12-26-2016 01:06 AM
[SOLVED] How to make an amd64 package depend on an i386 package? pillarsdotnet Debian 4 09-04-2012 05:40 PM
Help ! Package Architecture (uclibc-linux-i386) does not match system (i386) blink182 Debian 1 04-17-2011 10:05 AM
"FC4-i386-SRPMS-disc1.iso" OR "FC4-i386-disc1.iso" Stickle Linux - Newbie 2 06-29-2005 09:50 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Ubuntu

All times are GMT -5. The time now is 10:29 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration